state, nonce, and code_challenge.
We recommend configuring a Custom Domain whenever possible. This ensures the issuer on authorization responses matches the advertised issuer.
redirect_uri will contain a valid authorization_code embedded as a query parameter.
If the authorization was unsuccessful, the redirect_uri will contain an OAuth2.1 error_code. In both cases, redirect the Member to the location for the response to be consumed by the Connected App.
Exactly one of the following must be provided to identify the User/Member granting authorization:
user_id(for Consumer) ororganization_id+member_id(for B2B)session_tokensession_jwt
session_token or session_jwt is passed, the OAuth Authorization will be linked to the User’s/Member’s session for tracking purposes. One of these fields must be used if the Connected App intends to complete the Exchange Access Token flow.
Parameters
The callback URI used to redirect the user after authentication. This is the same URI provided at the start of the OAuth flow. This field is required when using the authorization_code grant.
Space separated list that specifies how the Authorization Server should prompt the user for reauthentication and consent. Only consent is supported today.
Response
The callback URI used to redirect the user after authentication. This is the same URI provided at the start of the OAuth flow. This field is required when using the authorization_code grant.
Globally unique UUID that is returned with every API call. This value is important to log for debugging purposes; we
may ask for this value to help identify a specific API call when helping you debug an issue.